cURL
curl --request GET \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/schema/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/schema/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/dynamic_rules/schema/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"latest_valuation_date": "2023-12-25",
"fields": [
{
"field_name": "<string>",
"type": "boolean",
"category": "config",
"label": "<string>",
"description": "<string>",
"choices": [
"<string>"
],
"constraints": {
"min": 123,
"max": 123,
"decimal_places": 123
},
"default_static_value": "<unknown>"
}
],
"evaluation_rule_types": [
{
"rule_type": "<string>",
"label": "<string>",
"description": "<string>",
"value_schema": {
"type": "object",
"required": [
"<string>"
],
"properties": {},
"exactly_one_of": [
"<string>"
]
},
"allowed_scopes": [
"<string>"
],
"factor_catalog": {
"risk_model": "characteristics",
"model_date": "2023-12-25",
"factors": [
{
"factor": "<string>",
"label": "<string>",
"category": "style"
}
]
}
}
],
"variables": [
{
"name": "<string>",
"type": "boolean",
"category": "portfolio",
"description": "<string>",
"operators": [
"<string>"
],
"example_values": [
"<unknown>"
],
"unit": "<string>",
"choices": [
"<string>"
],
"scope": [
"<string>"
]
}
],
"functions": [
{
"name": "<string>",
"description": "<string>",
"example": "<string>"
}
],
"operators": [
{
"symbol": "<string>",
"description": "<string>"
}
],
"examples": [
"<string>"
]
}{
"detail": "<string>"
}Dynamic Rules
Get Dynamic Rules Schema
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
dynamic_rules
/
schema
/
cURL
Authorizations
jwtAuthProAPIToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
characteristics- characteristics
Available options:
characteristics Minimum string length:
1Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes